Bug 99355 - Postscript driver has communication bug for some PDF files
Summary: Postscript driver has communication bug for some PDF files
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printconf   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-17 23:29 UTC by dsamperi
Modified: 2007-04-18 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-18 12:04:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dsamperi 2003-07-17 23:29:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030208
Netscape/7.02

Description of problem:
For some PDF files (I can send an example) the Postscript driver
generates this error message on my LaserJet 4100 just before it tries
to print a page that contains much graphics: 49.4C02 Service Error.
Resetting the printer does not help. HP says this is a communication
error. [I tried adding memory to the printer but this did not help.]

I can work around the problem by using a Windows machine to print
using HPCL (instead of postscript), or by changing the Linux driver
to gimp-print-ljs (instead of the recommended Postscript driver).

I have observed this problem with postscript files and with PDF files.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Select Postscript driver for LaserJet 4100
2.Print a PDF document that contains lots of graphics (it will fail)
3.
    

Actual Results:  Fails with printer error message "49.4C02 Service Error"
immediately
before graphics rich page.

Expected Results:  Full document printed

Additional info:

Comment 1 Tim Waugh 2003-07-18 10:00:04 UTC
Do you have the latest firmware for the printer? (Which version?)

Comment 2 dsamperi 2003-07-18 11:59:17 UTC
Firmware datecode: is 20001013 01.002.0

Comment 3 Tim Waugh 2003-07-18 12:04:58 UTC
Please install the latest firmware.

Comment 4 dsamperi 2003-07-18 12:46:31 UTC
Created attachment 93000


Trying to print this file results in a Service Error on Page 10.

Comment 5 dsamperi 2003-07-18 12:51:29 UTC
The latest Firmware revision is 01.016, it is not free, and upgrading will not
necessarily fix the problem. There may be a bug in the Linux Postscript driver.

I have attached a PDF file for which the problem
occurs on Page 10. If you have access to a LaserJet 4100 can you check that
all 15 pages print? [If so, please let me know what your firmware version is.]

Thanks


Comment 6 Tim Waugh 2003-07-18 13:09:24 UTC
I'm afraid I don't.  But I have seen other bug reports similar to this, which
have been fixed by the reporter upgrading their firmware.


Note You need to log in before you can comment on or make changes to this bug.